How can we help?
{{docApp.searchError}}
{{product.name}}
Searching in {{docApp.searchFilterBySpecificBookTitle}}
{{docApp.searchResultFilteredItems.length}} results for: {{docApp.currentResultsSearchText}}
in {{docApp.searchFilterBySpecificBookTitle}}
Search results have been limited. There are a total of {{docApp.searchResponse.totalResultsAvailable}} matches.
You have an odd number of " characters in your search terms - each one needs closing with a matching " character!
-
{{resultItem.title}}
{{resultItem.url}}
{{docApp.libraryHomeViewProduct.title || docApp.libraryHomeViewProduct.id}}
{{docApp.libraryHomeViewProduct.description}}
{{group.title || group.id}}
{{group.description}}
Entity API / updateSupplierMember
- Article
- 2 minutes to read
Operation Information
- Application Reference:
com.hornbill.suppliermanager - Scope:
Entity - SupplierMembers - Class:
Entity - Required Privilege Level:
user - Required Rights: Group A - canViewSuppliers; Group B - canUpdateSupplierMembers
Description
This flowcode operation updates the existing specified supplier member.
Request Parameters
The updateSupplierMember API takes the following input parameters.
Note
When sending a JSON request payload to the API, the order of parameters is not significant. However, for XML request payloads, parameters must be provided in the exact order specified in this documentation to comply with input validation requirements.
| Name | Type | Required | Description |
|---|---|---|---|
supplierMemberId |
xs:integer |
Yes | The supplier member id. |
member |
xs:string |
Yes | The user id of the supplier member. |
role |
xs:string |
Yes | The job role of the supplier member. |
Response Parameters
| Name | Type | Description |
|---|---|---|
outcome |
xs:string |
The outcome of the flowcode operation. |
supplierMemberId |
xs:integer |
The supplier member id. |
Code Examples
curl -X POST 'https://api.hornbill.com/yourinstanceid/xmlmc/apps/com.hornbill.suppliermanager/SupplierMembers' \
-H 'Authorization: ESP-APIKEY yourHornbillAPIKey' \
-H 'Content-Type: application/json' \
-d '{"@service":"apps/com.hornbill.suppliermanager/SupplierMembers","@method":"updateSupplierMember","params":{"supplierMemberId":1,"member":"xs:string","role":"xs:string"}}'
package main
import (
"fmt"
apiLib "github.com/hornbill/goApiLib"
)
func main() {
hornbillAPI := apiLib.NewXmlmcInstance("yourinstanceid")
hornbillAPI.SetAPIKey("yourHornbillAPIKey")
hornbillAPI.SetJSONResponse(true)
hornbillAPI.SetParam("supplierMemberId", "xs:integer")
hornbillAPI.SetParam("member", "xs:string")
hornbillAPI.SetParam("role", "xs:string")
responseBody, apiError := hornbillAPI.Invoke("apps/com.hornbill.suppliermanager/SupplierMembers", "updateSupplierMember")
if apiError != nil {
fmt.Println(apiError)
return
}
fmt.Println(responseBody)
}
const endpoint = "https://api.hornbill.com/yourinstanceid/xmlmc/apps/com.hornbill.suppliermanager/SupplierMembers";
const payload = {
"@service": "apps/com.hornbill.suppliermanager/SupplierMembers",
"@method": "updateSupplierMember",
"params": {
"supplierMemberId": 1,
"member": "xs:string",
"role": "xs:string"
}
};
fetch(endpoint, {
method: 'POST',
headers: {
"Authorization": "ESP-APIKEY yourHornbillAPIKey"
},
body: JSON.stringify(payload)
}).then(res => res.json())
.then(res => console.log(res));
const axios = require('axios');
const endpoint = "https://api.hornbill.com/yourinstanceid/xmlmc/apps/com.hornbill.suppliermanager/SupplierMembers";
const payload = {
"@service": "apps/com.hornbill.suppliermanager/SupplierMembers",
"@method": "updateSupplierMember",
"params": {
"supplierMemberId": 1,
"member": "xs:string",
"role": "xs:string"
}
};
const axiosConfig = {
headers: {
"Authorization": "ESP-APIKEY yourHornbillAPIKey"
}
};
axios.post(endpoint, payload, axiosConfig)
.then((res) => {
console.log("RESPONSE RECEIVED: ", res);
})
.catch((err) => {
console.log("AXIOS ERROR: ", err);
})
$endpoint = "https://api.hornbill.com/yourinstanceid/xmlmc/apps/com.hornbill.suppliermanager/SupplierMembers";
$payload = (object) [
'@service' => 'apps/com.hornbill.suppliermanager/SupplierMembers',
'@method' => 'updateSupplierMember',
'params' => (object) [
'supplierMemberId' => 'xs:integer',
'member' => 'xs:string',
'role' => 'xs:string',
]
];
$headers = [
'Authorization: ESP-APIKEY yourHornbillAPIKey',
'Content-Type: application/json'
];
$curl = curl_init($url);
curl_setopt($curl, CURLOPT_URL, $endpoint);
curl_setopt($curl, CURLOPT_POST, true);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
curl_setopt($curl, CURLOPT_POSTFIELDS, json_encode($payload));
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
$resp = curl_exec($curl);
curl_close($curl);
echo $resp;
$Endpoint = "https://api.hornbill.com/yourinstanceid/xmlmc/apps/com.hornbill.suppliermanager/SupplierMembers"
$Body = @{
"@service" = "apps/com.hornbill.suppliermanager/SupplierMembers"
"@method" = "updateSupplierMember"
params = @{
supplierMemberId = "xs:integer"
member = "xs:string"
role = "xs:string"
}
}
$Header = @{
"Authorization" = "ESP-APIKEY yourHornbillAPIKey"
}
$Parameters = @{
Method = "POST"
Uri = $Endpoint
Headers = $Header
Body = ($Body | ConvertTo-Json)
ContentType = "application/json"
}
Invoke-RestMethod @Parameters
import requests
import json
endpoint = "https://api.hornbill.com/yourinstanceid/xmlmc/apps/com.hornbill.suppliermanager/SupplierMembers"
headers = {
"Authorization": "ESP-APIKEY yourHornbillAPIKey"
}
payload={
"@service":"apps/com.hornbill.suppliermanager/SupplierMembers",
"@method":"updateSupplierMember",
"params":{
"supplierMemberId":"xs:integer",
"member":"xs:string",
"role":"xs:string",
},
}
response = requests.request("POST", endpoint, json=payload, headers=headers)
print(response.text)
- Version {{docApp.book.version}}
- Node {{docApp.node}} / {{docApp.build}}
In This Document